VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

Public Member Functions | Protected Types | Protected Member Functions | Protected Attributes | List of all members
CTooltipSupport Class Reference

Generic Tooltip Support class. More...

`#include <ctooltipsupport.h>`

Inheritance diagram for CTooltipSupport:

## Public Member Functions
| CTooltipSupport (CFrame *frame, uint32_t delay=1000)
void | onMouseEntered (CView *view)
void | onMouseExited (CView *view)
void | onMouseMoved (const CPoint &where)
void | onMouseDown (const CPoint &where)
void | hideTooltip ()
CBaseObject * | newCopy () const override
Public Member Functions inherited from CBaseObject
| CBaseObject ()=default
| ~CBaseObject () noexcept override=default
| CBaseObject (const CBaseObject &)
CBaseObject & | operator= (const CBaseObject &)
Public Member Functions inherited from ReferenceCounted< T >
| ReferenceCounted ()=default
virtual | ~ReferenceCounted () noexcept=default
| ReferenceCounted (const ReferenceCounted &)
ReferenceCounted & | operator= (const ReferenceCounted &)
void | forget () override
| decrease refcount and delete object if refcount == 0 More...
void | remember () override
| increase refcount More...
virtual int32_t | getNbReference () const
| get refcount More...
virtual void | forget ()=0
| decrease refcount and delete object if refcount == 0 More...
virtual void | remember ()=0
| increase refcount More...

## Protected Types
enum | { kHidden , kVisible , kHiding , kShowing , kForceVisible }

## Protected Member Functions
| ~CTooltipSupport () noexcept override
bool | showTooltip ()
CMessageResult | notify (CBaseObject *sender, IdStringPtr msg) override

## Protected Attributes
SharedPointer< CVSTGUITimer > | timer
CFrame * | frame
SharedPointer< CView > | currentView
uint32_t | delay
int32_t | state
CPoint | lastMouseMove

## Detailed Description

Generic Tooltip Support class.

A generic way to add tooltip support to VSTGUI.

# Example

Adding a tooltip to a view

UTF8StringPtr tooltipText = "This is a tooltip";
view->setAttribute (kCViewTooltipAttribute, strlen (tooltipText)+1, tooltipText);
VSTGUI::UTF8StringPtr
const char * UTF8StringPtr
UTF8 String pointer.
Definition: vstguibase.h:218
VSTGUI::kCViewTooltipAttribute
static constexpr CViewAttributeID kCViewTooltipAttribute
Definition: cview.h:42

Adding CTooltipSupport is done via VSTGUI::CFrame::enableTooltips (true)

## Member Enumeration Documentation

## ◆ anonymous enum

anonymous enum
| protected

Enumerator
kHidden |
kVisible |
kHiding |
kShowing |
kForceVisible |

## Constructor & Destructor Documentation

## ◆ CTooltipSupport()

CTooltipSupport | ( | CFrame * | frame,
|  | uint32_t | delay = `1000`
| ) |  |

Parameters

  frame | CFrame object
  delay | tooltip delay time in milliseconds

## ◆ ~CTooltipSupport()

~CTooltipSupport | ( |  | ) |
| override protected noexcept

## Member Function Documentation

## ◆ hideTooltip()

void hideTooltip | ( |  | ) |

## ◆ newCopy()

CBaseObject * newCopy | ( |  | ) | const
| inline override

## ◆ notify()

CMessageResult notify | ( | CBaseObject * | sender,
|  | IdStringPtr | msg
| ) |  |
| override protected virtual

Reimplemented from CBaseObject.

## ◆ onMouseDown()

void onMouseDown | ( | const CPoint & | where | ) |

## ◆ onMouseEntered()

void onMouseEntered | ( | CView * | view | ) |

## ◆ onMouseExited()

void onMouseExited | ( | CView * | view | ) |

## ◆ onMouseMoved()

void onMouseMoved | ( | const CPoint & | where | ) |

## ◆ showTooltip()

bool showTooltip | ( |  | ) |
| protected

## Member Data Documentation

## ◆ currentView

SharedPointer<CView> currentView
| protected

## ◆ delay

uint32_t delay
| protected

## ◆ frame

CFrame* frame
| protected

## ◆ lastMouseMove

CPoint lastMouseMove
| protected

## ◆ state

int32_t state
| protected

## ◆ timer

SharedPointer<CVSTGUITimer> timer
| protected

The documentation for this class was generated from the following files:

- ctooltipsupport.h
- ctooltipsupport.cpp